<?php


namespace App\Mobile\Synchronization\Resources;


use Illuminate\Http\Resources\Json\JsonResource;

class SyncServiceOrderItemResource extends JsonResource
{
    public function toArray($request)
    {
        return [
            "osps_codigo" => $this->osps_codigo,
            "pve_codigo" => $this->product_variety_pack->pve_codigo,
            "pve_nome_completo" => $this->product_variety_pack->product_complete_name,
            "osps_servico" => $this->osps_servico,
            "osps_quantidade" => format_quantity($this->osps_quantidade),
            "unm_descricao" => $this->osps_servico ? 'HORA' : $this->product_variety_pack->measurement_unit->unm_descricao,
            "osps_valor_unitario" => format_money($this->osps_valor_unitario),
            "osps_total" => format_money($this->osps_total)
        ];
    }
}
