<?php


namespace App\Mobile\Synchronization\Resources;


use Freelabois\LaravelQuickstart\Extendables\Resource;

class PersonResource extends Resource
{
    public function toArray($request)
    {
        $relationships = [];
        $returnable = [
            "pes_codigo" => $this->pes_codigo,
            "pes_nome" => $this->pes_nome,
            "pes_identificador" => $this->pes_identificador,
            "pes_razao_social" => $this->pes_razao_social,
            "pes_tipo" => $this->pes_tipo ? 'CNPJ' : 'CPF'
        ];
        $relationships['address'] = AddressResource::collection($this->address);
        $relationships['route'] = RouteResourceUserLogado::collection($this->route);
        return $returnable + $relationships;
    }
}
