<?php


namespace  App\RestApi\WarehouseInventory\Resources;


use Illuminate\Http\Resources\Json\JsonResource;

class WarehouseInventoryPersonResource extends JsonResource
{
    public function toArray($request)
    {
        return [
            "pve_codigo" => $this->product_variety_pack->pve_codigo,
            "pve_nome_completo" => $this->product_variety_pack->product_complete_name,
            "sna_quantidade" => $this->sna_quantidade,
            "sna_valor_medio" => $this->sna_valor_medio,
            "unm_descricao" =>  $this->product_variety_pack->measurement_unit->unm_descricao,
            "total" => $this->sna_quantidade * $this->sna_valor_medio
        ];
    }
}
